# Security aspects

### Authentication

The Merchant API requires you to authenticate with the email and password of a user account you will have to create on the Merchant Panel. Once you request to authenticate to the [**Login Endpoint**](/api-reference/reconciliation-api/login.md), we will respond with a cookie called **BEARER\_TOKEN** containing a **token** you have to use in the next API calls to remain authenticated.

{% hint style="warning" %}
&#x20;The **BEARER\_TOKEN** cookie will expire after 15 minutes of its last request. Otherwise you may use the [**Logout Endpoint**](/api-reference/reconciliation-api/logout.md) to invalidate the cookie for future usages.
{% endhint %}

### Technical and Security Aspects

**Secure Connections**: All the communications between you and the Merchants API has to be performed through secure connections over HTTPS.

**User access**: Only users set up to use this API can get information from it. Others won’t be allowed in..

**IP restrictions**: Only connections from the whitelisted IPs will be accepted. This measure ensures that only designated sources can access the API.

**Login Requirements:** You'll need both your email and password to use this API. This helps to ensure only authorised users can get in.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-reference/reconciliation-api/security-aspects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
